我将Arch Linux与Python 3默认一起使用。 我使用Konsole通过命令pip install django-toolbelt下载pip install django-toolbelt 名称:pip版本:6.1.1

我得到一个错误

Collecting django-toolbelt
  Using cached django-toolbelt-0.0.1.tar.gz
Requirement already satisfied (use --upgrade to upgrade): django in ./venv/lib/python3.4/site-packages (from django-toolbelt)
Requirement already satisfied (use --upgrade to upgrade): psycopg2 in ./venv/lib/python3.4/site-packages (from django-toolbelt)
Collecting gunicorn (from django-toolbelt)
  Using cached gunicorn-19.3.0-py2.py3-none-any.whl
Collecting dj-database-url (from django-toolbelt)
  Using cached dj_database_url-0.3.0-py2.py3-none-any.whl
Collecting dj-static (from django-toolbelt)
  Using cached dj-static-0.0.6.tar.gz
Collecting static3 (from dj-static->django-toolbelt)
  Using cached static3-0.6.0.tar.gz
    Complete output from command python setup.py egg_info:
    Traceback (most recent call last):
      File "<string>", line 20, in <module>
      File "/tmp/pip-build-w5v7urb2/static3/setup.py", line 52, in <module>
        long_description=open('README.rst').read(),
      File "/home/phi/python/venv/lib/python3.4/encodings/ascii.py", line 26, in decode
        return codecs.ascii_decode(input, self.errors)[0]
    UnicodeDecodeError: 'ascii' codec can't decode byte 0xc2 in position 2097: ordinal not in range(128)

    ----------------------------------------
    Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-w5v7urb2/static3

我该如何解决?

===============>>#1 票数:4

LC_ALL=en_US.utf8 pip install django-toolbelt

pip有问题。 如果您使用非C语言环境(如C并尝试使用pip安装软件包,则setup.py尝试读取包含非ASCII字符的文件时可能会抛出UnicodeDecodeErrors

在这种情况下,是在此更改中引入了重音符号。

我将在Github上报告此问题。

  ask by user3863069 translate from so

未解决问题?本站智能推荐: